Hi,
I need to change all the dimensions in my drawing to specific layer (Ex: DIMS).
Please advise any shortcuts/lisp to change at one time.
Thanks,
Solved! Go to Solution.
Solved by BeKirra. Go to Solution.
Hi,
since we need more details ... but let's start with :
Regards,
Imad Habash
There are lots of dimensions with different layers in the drawing, I want to select all the dimensions and change it to specific layer. If any lisp for this issue will be helpful.
DIMlayer command not in Autocad 2015.
Thanks,
Ok ... then FILTER command may the better way .
FILTER >> Select Filter: Dimension >> Add to List >> Apply ..... select the whole existing elements to filter out only the dimensions .
Imad Habash
Here is a quick script file that will do what you want. Change "0" to your layer name. There are 2 returns at the end to accept then close out the change command.
(ssget "x" (list (cons 0 "DIM*")))
change p properties layer "0"
I also found this >>LISP routine<< that does the same thing.
Nancy
@Manicbalawrote:Hi,
I need to change all the dimensions in my drawing to specific layer (Ex: DIMS).
Please advise any shortcuts/lisp to change at one time.
Thanks,
The code below may help straightforwardly while other offers here also work.
SD is the command you need to enter since your target dimension layer is "DIMS".
(defun c:SD (/ SelectDim) (setq SelectDim (ssget "X" '((0 . "DIMENSION")))) (command "._Chprop" SelectDim "" "Layer" "DIMS" "") (princ) ); end of defun
HTH
Can't find what you're looking for? Ask the community or share your knowledge.